Summary:	Text editor for Xfce based on Leafpad
Summary(pl.UTF-8):	Edytor tekstu dla Xfce oparty na Leafpadzie
Name:		mousepad
Version:	0.5.8
Release:	1
License:	GPL v2+
Group:		X11/Applications/Editors
Source0:	http://archive.xfce.org/src/apps/mousepad/0.5/%{name}-%{version}.tar.bz2
# Source0-md5:	b9a32b1683ad73424366b4b3be52c7a7
Patch0:		%{name}-desktop.patch
URL:		http://www.xfce.org/projects/mousepad/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 2.52.0
BuildRequires:	gspell-devel >= 1.6.0
BuildRequires:	gtk+3-devel >= 3.22
BuildRequires:	gtksourceview4-devel >= 4.0.0
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	xfce4-dev-tools >= 4.14.0
Requires:	desktop-file-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mousepad is a lightweight text editor for Xfce. It features a simple
interface, broad character set support, printing with Xfprint, and
more. It opens lightening quick, making it perfect for editing config
files, doing quick scripting, and pretty printing documents like shell
scripts.

%description -l pl.UTF-8
Mousepad jest lekkim edytorem tekstowym dla Xfce. Cechuje go prosty
interfejs, obsługa wielu zestawów znaków, drukowanie przy pomocy
Xfprint i wiele więcej. Uruchamia się błyskawicznie, dzięki czemu jest
idealny do edycji plików konfiguracyjnych, pisania małych skryptów i
pięknego drukowania dokumentów takich jak skrypty powłoki.

%prep
%setup -q
%patch0 -p1

mkdir -p m4

%{__sed} -i -e 's/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/' configure.ac

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{fa_IR,hye,ie}
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{hy_AM,hy}

%{__rm} $RPM_BUILD_ROOT%{_libdir}{/%{name}/plugins,}/*.la
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libmousepad.so

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_desktop_database_postun
%update_icon_cache hicolor
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS
%attr(755,root,root) %{_bindir}/mousepad
%attr(755,root,root) %{_libdir}/libmousepad.so.*.*.*
%attr(755,root,root) %{_libdir}/libmousepad.so.0
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%attr(755,root,root) %{_libdir}/%{name}/plugins/libmousepad-plugin-gspell.so
%{_desktopdir}/org.xfce.mousepad.desktop
%{_desktopdir}/org.xfce.mousepad-settings.desktop
%{_datadir}/glib-2.0/schemas/org.xfce.mousepad.gschema.xml
%{_datadir}/glib-2.0/schemas/org.xfce.mousepad.plugins.gspell.gschema.xml
%{_datadir}/metainfo/org.xfce.mousepad.appdata.xml
%{_datadir}/polkit-1/actions/org.xfce.mousepad.policy
%{_iconsdir}/hicolor/*x*/apps/org.xfce.mousepad.png
%{_iconsdir}/hicolor/scalable/apps/org.xfce.mousepad.svg
%changelog
* Fri Nov 26 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mousepad.git;a=log;h=master

* Fri Nov 26 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 441674b
- up to 0.5.8

* Sat Sep 25 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 93aa818
- up to 0.5.7

* Sun Aug 01 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 6e98518
- up to 0.5.6

* Fri May 14 2021 Jan Rękorajski <baggins@pld-linux.org> dcd96e8
- package owned dir
- remove unsupported locale
- rel 2

* Wed May 12 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> a055352
- up to 0.5.5

* Sat Apr 03 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 3723445
- required gtksourceview4

* Sat Apr 03 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 192057f
- up to 0.5.4

* Sun Feb 28 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 88b56e8
- up to 0.5.3

* Sun Jan 31 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 868de5a
- up to 0.5.2, fix post and postun tasks

* Mon Dec 28 2020 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 5f68e0d
- up to 0.5.1

* Sun Aug 25 2019 Jan Rękorajski <baggins@pld-linux.org> fd52b2f
- up to 0.4.2

* Tue Mar 31 2015 Jan Rękorajski <baggins@pld-linux.org> 6110f65
- up to 0.4.0

* Sun Mar 22 2015 Elan Ruusamäe <glen@delfi.ee> 884b040
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> ef31348
- updated gettext BR

* Sat Apr 06 2013 Elan Ruusamäe <glen@delfi.ee> 3bc142c
- libxfcegui4-devel may be superfluous !

* Sat Apr 06 2013 Elan Ruusamäe <glen@delfi.ee> 5fc38ec
- up to 0.3.0, it is not dead! a complete rewrite in codebase

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 03d56db
- release 4

* Sun Sep 18 2011 Elan Ruusamäe <glen@pld-linux.org> 709147a
- update-desktop-database (.desktop specifies MimeType)

* Tue May 11 2010 Jan Rękorajski <baggins@pld-linux.org> b220724
- rel 2
- desktop file cleanup

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 1bfe76d
- drop obsolete files

